## ros-rolling-rcpputils 2.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcpputils)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(rcutils REQUIRED)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # enables building a static library but later link it into a dynamic library
  add_compile_options(-fPIC)
endif()
if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include_directories(include)

ament_export_include_directories(include)

add_library(${PROJECT_NAME}
  src/asserts.cpp
  src/filesystem_helper.cpp
  src/find_library.cpp
  src/env.cpp
  src/shared_library.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")
if(WIN32)
  target_compile_definitions(${PROJECT_NAME}
    PRIVATE "RCPPUTILS_BUILDING_LIBRARY")
endif()
ament_target_dependencies(${PROJECT_NAME} rcutils)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})
ament_export_dependencies(rcutils)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wthread-safety -Werror)
  endif()

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_asserts_ndebug test/test_asserts.cpp)
  target_link_libraries(test_asserts_ndebug ${PROJECT_NAME})

  if(TARGET test_asserts_ndebug)
    target_compile_definitions(test_asserts_ndebug PUBLIC NDEBUG)
  endif()

  ament_add_gtest(test_asserts_debug test/test_asserts.cpp)
  target_link_libraries(test_asserts_debug ${PROJECT_NAME})

  ament_add_gtest(test_thread_safety_annotations test/test_thread_safety_annotations.cpp)

  ament_add_gtest(test_join test/test_join.cpp)

  ament_add_gtest(test_time test/test_time.cpp)
  ament_target_dependencies(test_time rcutils)

  ament_add_gtest(test_env test/test_env.cpp
    ENV
      EMPTY_TEST=
      NORMAL_TEST=foo
  )
  ament_target_dependencies(test_env rcutils)
  target_link_libraries(test_env ${PROJECT_NAME})

  ament_add_gtest(test_scope_exit test/test_scope_exit.cpp)
  target_link_libraries(test_scope_exit ${PROJECT_NAME})

  ament_add_gtest(test_split test/test_split.cpp)

  ament_add_gtest(test_filesystem_helper test/test_filesystem_helper.cpp
    ENV
      EXPECTED_WORKING_DIRECTORY=$<SHELL_PATH:${CMAKE_CURRENT_BINARY_DIR}>
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  ament_target_dependencies(test_filesystem_helper rcutils)
  target_link_libraries(test_filesystem_helper ${PROJECT_NAME})

  ament_add_gtest(test_find_and_replace test/test_find_and_replace.cpp)

  ament_add_gtest(test_pointer_traits test/test_pointer_traits.cpp)

  ament_add_gtest(test_process test/test_process.cpp)
  ament_target_dependencies(test_process rcutils)

  set(append_library_dirs "$<TARGET_FILE_DIR:${PROJECT_NAME}>")

  ament_add_gtest(test_shared_library test/test_shared_library.cpp
    APPEND_LIBRARY_DIRS "${append_library_dirs}"
  )

  if(TARGET test_shared_library)
    add_library(dummy_shared_library test/dummy_shared_library/dummy_shared_library.c)
    if(WIN32)
      # Causes the visibility macros to use dllexport rather than dllimport
      # which is appropriate when building the dll but not consuming it.
      target_compile_definitions(dummy_shared_library PRIVATE "DUMMY_SHARED_LIBRARY_BUILDING_DLL")
    endif()
    target_link_libraries(test_shared_library ${PROJECT_NAME})
  endif()

  ament_add_gtest(test_endian test/test_endian.cpp)

  add_library(test_library SHARED test/test_library.cpp)
  ament_add_gtest(test_find_library test/test_find_library.cpp)
  target_link_libraries(test_find_library ${PROJECT_NAME} test_library)
  set_tests_properties(test_find_library PROPERTIES
    ENVIRONMENT
      "_TEST_LIBRARY_DIR=$<TARGET_FILE_DIR:test_library>;_TEST_LIBRARY=$<TARGET_FILE:test_library>")

  ament_add_gtest(test_clamp test/test_clamp.cpp)

  ament_add_gtest(test_accumulator test/test_accumulator.cpp)
endif()

ament_package()

install(
  DIRECTORY include/
  DESTINATION include)
install(
  TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-rolling-rcpputils (2.3.2-1focal) focal; urgency=high

  * Fix include order for cpplint (#158 <https://github.com/ros2/rcpputils/issues/158>)
  * [path] Declare the default assignment operator (#156 <https://github.com/ros2/rcpputils/issues/156>)
  * Contributors: Abrar Rahman Protyasha, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rcpputils (2.3.1-1focal) focal; urgency=high

  * Fixes for uncrustify 0.72 (#154 <https://github.com/ros2/rcpputils/issues/154>)
  * Fix the BSD license headers to use the standard one. (#153 <https://github.com/ros2/rcpputils/issues/153>)
  * Update maintainers to Chris Lalancette (#152 <https://github.com/ros2/rcpputils/issues/152>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rcpputils (2.3.0-1focal) focal; urgency=high

  * Add checked convert_to_nanoseconds() function (#145 <https://github.com/ros2/rcpputils/issues/145>)
  * Add missing sections in docs/FEATURES.md TOC (#151 <https://github.com/ros2/rcpputils/issues/151>)
  * [env] Add set_env_var function (#150 <https://github.com/ros2/rcpputils/issues/150>)
  * Add missing cstddef include (#147 <https://github.com/ros2/rcpputils/issues/147>)
  * Add accumulator test to CMakeLists.txt (#144 <https://github.com/ros2/rcpputils/issues/144>)
  * rcpputils::fs: Fix doxygen parameter identifier (#142 <https://github.com/ros2/rcpputils/issues/142>)
  * Make thread safety macro C++ standards compliant (#141 <https://github.com/ros2/rcpputils/issues/141>)
  * Fix API documentation for clean rosdoc2 build (#139 <https://github.com/ros2/rcpputils/issues/139>)
  * Improve rcppmath Doxygen documentation (#138 <https://github.com/ros2/rcpputils/issues/138>)
  * Improve documentation of utilities in docs/FEATURES.md (#137 <https://github.com/ros2/rcpputils/issues/137>)
  * Include rcppmath utilities in docs/FEATURES.md (#136 <https://github.com/ros2/rcpputils/issues/136>)
  * Fix IllegalStateException reference in FEATURES (#135 <https://github.com/ros2/rcpputils/issues/135>)
  * migrate rolling mean from ros2_controllers to rcppmath (#133 <https://github.com/ros2/rcpputils/issues/133>)
  * Update includes after rcutils/get_env.h deprecation (#132 <https://github.com/ros2/rcpputils/issues/132>)
  * Contributors: Abrar Rahman Protyasha, Barry Xu, Christophe Bedard, Karsten Knese, Octogonapus

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-rcpputils (2.2.0-1focal) focal; urgency=high

  * Update quality declaration links (#130 <https://github.com/ros2/rcpputils/issues/130>)
  * Add functions for getting library path and filename (#128 <https://github.com/ros2/rcpputils/issues/128>)
  * Contributors: Nikolai Morin, Simon Honigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Apr 2021 07:00:00 -0000

ros-rolling-rcpputils (2.1.0-1focal) focal; urgency=high

  * Add path equality operators (#127 <https://github.com/ros2/rcpputils/issues/127>)
  * Add create_temp_directory filesystem helper (#126 <https://github.com/ros2/rcpputils/issues/126>)
  * Use new noexcept specifier. (#123 <https://github.com/ros2/rcpputils/issues/123>)
  * Contributors: Chen Lihui, Emerson Knapp

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 01 Mar 2021 08:00:00 -0000

ros-rolling-rcpputils (2.0.4-1focal) focal; urgency=high

  * Add stream operator for paths to make it easier to log (#120 <https://github.com/ros2/rcpputils/issues/120>)
  * Path join operator is const (#119 <https://github.com/ros2/rcpputils/issues/119>)
  * No windows.h in header files (#118 <https://github.com/ros2/rcpputils/issues/118>)
  * Fix rcpputils::SharedLibrary tests. (#117 <https://github.com/ros2/rcpputils/issues/117>)
  * Contributors: Emerson Knapp, Ivan Santiago Paunovic, Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rcpputils (2.0.3-1focal) focal; urgency=high

  * Update QD to QL 1 (#114 <https://github.com/ros2/rcpputils/issues/114>)
  * Make sure to not try to index into an empty path. (#113 <https://github.com/ros2/rcpputils/issues/113>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rcpputils (2.0.2-1focal) focal; urgency=high

  * Fix working with filesystem parent paths. (#112 <https://github.com/ros2/rcpputils/issues/112>)
  * Cleanup mislabeled BSD license (#37 <https://github.com/ros2/rcpputils/issues/37>)
  * overload functions for has_symbol and get_symbol with raw string literal (#110 <https://github.com/ros2/rcpputils/issues/110>)
  * Add an ASSERT to the pointer traits tests. (#111 <https://github.com/ros2/rcpputils/issues/111>)
  * replace custom get env login into rcutils_get_env(). (#99 <https://github.com/ros2/rcpputils/issues/99>)
  * Removed Github Actions (#105 <https://github.com/ros2/rcpputils/issues/105>)
  * Update the package.xml files with the latest Open Robotics maintainers (#102 <https://github.com/ros2/rcpputils/issues/102>)
  * Contributors: Alejandro Hernández Cordero, Chen Lihui, Chris Lalancette, Michael Jeronimo, Tully Foote, tomoya

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 16 Nov 2020 08:00:00 -0000

ros-rolling-rcpputils (2.0.1-1focal) focal; urgency=high

  * Make sure that an existing path is a directory for create_directories (#98 <https://github.com/ros2/rcpputils/issues/98>)
  * Transfer ownership to Open Robotics (#100 <https://github.com/ros2/rcpputils/issues/100>)
  * Ensure -fPIC is used when building a static lib (#93 <https://github.com/ros2/rcpputils/issues/93>)
  * Contributors: Christophe Bedard, Dirk Thomas, Louise Poubel, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Oct 2020 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-rcpputils
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-rcutils, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcpputils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcutils, ros-rolling-ros-workspace
Description: Package containing utility code for C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rcpputils//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rcpputils 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 if(NOT CMAKE_C_STANDARD)
   set(CMAKE_C_STANDARD 11)
 endif()
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
@@ -23,10 +23,6 @@
   add_compile_options(-Wall -Wextra -Wpedantic)
 endif()
 
-include_directories(include)
-
-ament_export_include_directories(include)
-
 add_library(${PROJECT_NAME}
   src/asserts.cpp
   src/filesystem_helper.cpp
@@ -35,14 +31,20 @@
   src/shared_library.cpp)
 target_include_directories(${PROJECT_NAME} PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-  "$<INSTALL_INTERFACE:include>")
+  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
 if(WIN32)
   target_compile_definitions(${PROJECT_NAME}
     PRIVATE "RCPPUTILS_BUILDING_LIBRARY")
 endif()
 ament_target_dependencies(${PROJECT_NAME} rcutils)
+
+# Export old-style CMake variables
+ament_export_include_directories("include/${PROJECT_NAME}")
 ament_export_libraries(${PROJECT_NAME})
+
+# Export modern CMake targets
 ament_export_targets(${PROJECT_NAME})
+
 ament_export_dependencies(rcutils)
 
 if(BUILD_TESTING)
@@ -66,10 +68,13 @@
   target_link_libraries(test_asserts_debug ${PROJECT_NAME})
 
   ament_add_gtest(test_thread_safety_annotations test/test_thread_safety_annotations.cpp)
+  target_link_libraries(test_thread_safety_annotations ${PROJECT_NAME})
 
   ament_add_gtest(test_join test/test_join.cpp)
+  target_link_libraries(test_join ${PROJECT_NAME})
 
   ament_add_gtest(test_time test/test_time.cpp)
+  target_link_libraries(test_time ${PROJECT_NAME})
   ament_target_dependencies(test_time rcutils)
 
   ament_add_gtest(test_env test/test_env.cpp
@@ -84,6 +89,7 @@
   target_link_libraries(test_scope_exit ${PROJECT_NAME})
 
   ament_add_gtest(test_split test/test_split.cpp)
+  target_link_libraries(test_split ${PROJECT_NAME})
 
   ament_add_gtest(test_filesystem_helper test/test_filesystem_helper.cpp
     ENV
@@ -93,10 +99,13 @@
   target_link_libraries(test_filesystem_helper ${PROJECT_NAME})
 
   ament_add_gtest(test_find_and_replace test/test_find_and_replace.cpp)
+  target_link_libraries(test_find_and_replace ${PROJECT_NAME})
 
   ament_add_gtest(test_pointer_traits test/test_pointer_traits.cpp)
+  target_link_libraries(test_pointer_traits ${PROJECT_NAME})
 
   ament_add_gtest(test_process test/test_process.cpp)
+  target_link_libraries(test_process ${PROJECT_NAME})
   ament_target_dependencies(test_process rcutils)
 
   set(append_library_dirs "$<TARGET_FILE_DIR:${PROJECT_NAME}>")
@@ -116,24 +125,31 @@
   endif()
 
   ament_add_gtest(test_endian test/test_endian.cpp)
+  target_link_libraries(test_endian ${PROJECT_NAME})
 
   add_library(test_library SHARED test/test_library.cpp)
+  target_link_libraries(test_library PUBLIC ${PROJECT_NAME})
   ament_add_gtest(test_find_library test/test_find_library.cpp)
-  target_link_libraries(test_find_library ${PROJECT_NAME} test_library)
+  target_link_libraries(test_find_library test_library)
   set_tests_properties(test_find_library PROPERTIES
     ENVIRONMENT
       "_TEST_LIBRARY_DIR=$<TARGET_FILE_DIR:test_library>;_TEST_LIBRARY=$<TARGET_FILE:test_library>")
 
   ament_add_gtest(test_clamp test/test_clamp.cpp)
+  target_link_libraries(test_clamp ${PROJECT_NAME})
 
   ament_add_gtest(test_accumulator test/test_accumulator.cpp)
+  target_link_libraries(test_accumulator ${PROJECT_NAME})
+
+  ament_add_gtest(test_unique_lock test/test_unique_lock.cpp)
+  target_link_libraries(test_unique_lock ${PROJECT_NAME})
 endif()
 
 ament_package()
 
 install(
   DIRECTORY include/
-  DESTINATION include)
+  DESTINATION include/${PROJECT_NAME})
 install(
   TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
   ARCHIVE DESTINATION lib

=== debian/changelog ===
ros-rolling-rcpputils (2.8.0-1jammy) jammy; urgency=high

  * Add unique_lock implementation with clang thread safety annotations (#180 <https://github.com/ros2/rcpputils/issues/180>)
  * Contributors: Emerson Knapp

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rcpputils (2.7.1-1jammy) jammy; urgency=high

  * Add in a missing cstdint. (#178 <https://github.com/ros2/rcpputils/issues/178>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rcpputils (2.7.0-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rcpputils (2.6.1-1jammy) jammy; urgency=high

  * Add missing header for strlen (#169 <https://github.com/ros2/rcpputils/issues/169>)
  * issue-167 (#172 <https://github.com/ros2/rcpputils/issues/172>)
  * [rolling] Update maintainers - 2022-11-07 (#166 <https://github.com/ros2/rcpputils/issues/166>)
  * Contributors: Audrow Nash, Sebastian Freitag, bijoua29

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rcpputils (2.6.0-1jammy) jammy; urgency=high

  * require C++17 and deprecate the rcppmath namespace (#165 <https://github.com/ros2/rcpputils/issues/165>)
  * Contributors: William Woodall

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rcpputils (2.5.2-1jammy) jammy; urgency=high

  * Mirror rolling to master
  * Contributors: Audrow Nash

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rcpputils (2.5.1-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-rcpputils (2.5.0-1jammy) jammy; urgency=high

  * Fix possible race condition in create_directories() (#162 <https://github.com/ros2/rcpputils/issues/162>)
  * Contributors: Artem Shumov

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rcpputils (2.4.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} (#160 <https://github.com/ros2/rcpputils/issues/160>)
  * Contributors: Shane Loretz

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rcpputils (2.3.2-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#158 <https://github.com/ros2/rcpputils/issues/158>)
  * [path] Declare the default assignment operator (#156 <https://github.com/ros2/rcpputils/issues/156>)
  * Contributors: Abrar Rahman Protyasha, Jacob Perron

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rcpputils (2.3.1-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#154 <https://github.com/ros2/rcpputils/issues/154>)
  * Fix the BSD license headers to use the standard one. (#153 <https://github.com/ros2/rcpputils/issues/153>)
  * Update maintainers to Chris Lalancette (#152 <https://github.com/ros2/rcpputils/issues/152>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rcpputils (2.3.0-1jammy) jammy; urgency=high

  * Add checked convert_to_nanoseconds() function (#145 <https://github.com/ros2/rcpputils/issues/145>)
  * Add missing sections in docs/FEATURES.md TOC (#151 <https://github.com/ros2/rcpputils/issues/151>)
  * [env] Add set_env_var function (#150 <https://github.com/ros2/rcpputils/issues/150>)
  * Add missing cstddef include (#147 <https://github.com/ros2/rcpputils/issues/147>)
  * Add accumulator test to CMakeLists.txt (#144 <https://github.com/ros2/rcpputils/issues/144>)
  * rcpputils::fs: Fix doxygen parameter identifier (#142 <https://github.com/ros2/rcpputils/issues/142>)
  * Make thread safety macro C++ standards compliant (#141 <https://github.com/ros2/rcpputils/issues/141>)
  * Fix API documentation for clean rosdoc2 build (#139 <https://github.com/ros2/rcpputils/issues/139>)
  * Improve rcppmath Doxygen documentation (#138 <https://github.com/ros2/rcpputils/issues/138>)
  * Improve documentation of utilities in docs/FEATURES.md (#137 <https://github.com/ros2/rcpputils/issues/137>)
  * Include rcppmath utilities in docs/FEATURES.md (#136 <https://github.com/ros2/rcpputils/issues/136>)
  * Fix IllegalStateException reference in FEATURES (#135 <https://github.com/ros2/rcpputils/issues/135>)
  * migrate rolling mean from ros2_controllers to rcppmath (#133 <https://github.com/ros2/rcpputils/issues/133>)
  * Update includes after rcutils/get_env.h deprecation (#132 <https://github.com/ros2/rcpputils/issues/132>)
  * Contributors: Abrar Rahman Protyasha, Barry Xu, Christophe Bedard, Karsten Knese, Octogonapus

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-rcpputils (2.2.0-1jammy) jammy; urgency=high

  * Update quality declaration links (#130 <https://github.com/ros2/rcpputils/issues/130>)
  * Add functions for getting library path and filename (#128 <https://github.com/ros2/rcpputils/issues/128>)
  * Contributors: Nikolai Morin, Simon Honigmann

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 02 Apr 2021 00:00:00 -0000

ros-rolling-rcpputils (2.1.0-1jammy) jammy; urgency=high

  * Add path equality operators (#127 <https://github.com/ros2/rcpputils/issues/127>)
  * Add create_temp_directory filesystem helper (#126 <https://github.com/ros2/rcpputils/issues/126>)
  * Use new noexcept specifier. (#123 <https://github.com/ros2/rcpputils/issues/123>)
  * Contributors: Chen Lihui, Emerson Knapp

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 01 Mar 2021 00:00:00 -0000

ros-rolling-rcpputils (2.0.4-1jammy) jammy; urgency=high

  * Add stream operator for paths to make it easier to log (#120 <https://github.com/ros2/rcpputils/issues/120>)
  * Path join operator is const (#119 <https://github.com/ros2/rcpputils/issues/119>)


=== debian/control ===
Source: ros-rolling-rcpputils
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rcutils, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcpputils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcutils, ros-rolling-ros-workspace
Description: Package containing utility code for C++.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
